import {View, ViewProps} from 'react-native';

const _alignX = {
    'start': 'flex-start',
    'center': 'center',
    'end': 'flex-end',
    'space': 'space-between',
};

const _alignY = {
    'start': 'flex-start',
    'center': 'center',
    'end': 'flex-end',
    'space': 'space-between',
};

type Props = ViewProps & {
    fullWidth?: boolean | undefined,
    alignX?: 'start' | 'center' | 'end' | 'space' | undefined,
    alignY?: 'start' | 'center' | 'end' | 'space' | undefined,
}

export default function Column(props: Props) {
    const {fullWidth, alignX, alignY, style, ...otherProps} = props;

    return (
        <View {...otherProps} style={[{
            flexDirection: 'column',
            alignItems: _alignX[alignX],
            justifyContent: _alignY[alignY],
        }, fullWidth ? {width: '100%'} : {}, style]}/>
    );
}